de.esprit.appsuite.database.dbgui.tool

## Class TableEditContext

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.log.LogSupportAdapter
    - - de.esprit.appsuite.launch.ApplicationContext
      - - de.esprit.appsuite.database.dbgui.tool.TableEditContext

- All Implemented Interfaces:
    ErrorHandler, Initializable, Exitable, LogSupport, Dumpable, java.io.Closeable, java.lang.AutoCloseable

      public class TableEditContext
      extends ApplicationContext

  Context for the `TableEditLaunch`
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.appsuite.launch.ApplicationContext

      `isExitOnClose`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TableEditContext(TableEditCFG cfg)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TableEditCFG` | `getApplicationConfig()`

    - ### Methods inherited from class de.esprit.appsuite.launch.ApplicationContext

      `cancelTask, checkInitialized, close, confirmCancelAllAsyncActivity, createErrorHandler, createLicense, createTaskManager, createUncaughtExceptionHandler, exit, getApplicationName, getCustomVersion, getDatabase, getErrorHandler, getEspritVersion, getJavaVersionManager, getLicense, getMainFrame, getSupportedLanguages, getTaskManager, getTextEditor, hasMainFrame, init, isClosed, isDefaultContext, isGuiClient, isInitialized, loadTranslations, registerForClose, setDatabase, setExitOnClose, setMainFrame, showError, showError, showError, showInfo, showInfo, showWarning, showWarning, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.log.LogSupportAdapter

      `getLogChannel, getLogLevel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel, setLogLevel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TableEditContext

          public TableEditContext(TableEditCFG cfg)

  - ### Method Detail

    - #### getApplicationConfig

          public TableEditCFG getApplicationConfig()

      Overrides:
        `getApplicationConfig` in class `ApplicationContext`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.